package com.ym.mec.education.entity;

import java.util.Date;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableName;
import java.io.Serializable;

/**
 * <p>
 * vip课默认课程周期
 * </p>
 *
 * @author lemeng
 * @since 2019-10-02
 */
@TableName("vip_group_default_classes_cycle")
public class VipGroupDefaultClassesCycle extends Model<VipGroupDefaultClassesCycle> {

    private static final long serialVersionUID = 1L;

    @TableId("id_")
    private Integer id;
    /**
     * 最小课次
     */
    @TableField("min_class_times_")
    private Integer minClassTimes;
    /**
     * 最大课次
     */
    @TableField("max_class_times_")
    private Integer maxClassTimes;
    /**
     * 最大排课范围（月份）
     */
    @TableField("month_")
    private Integer month;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;
    @TableField("organ_id_")
    private Integer organId;


    public Integer getId() {
        return id;
    }

    public VipGroupDefaultClassesCycle setId(Integer id) {
        this.id = id;
        return this;
    }

    public Integer getMinClassTimes() {
        return minClassTimes;
    }

    public VipGroupDefaultClassesCycle setMinClassTimes(Integer minClassTimes) {
        this.minClassTimes = minClassTimes;
        return this;
    }

    public Integer getMaxClassTimes() {
        return maxClassTimes;
    }

    public VipGroupDefaultClassesCycle setMaxClassTimes(Integer maxClassTimes) {
        this.maxClassTimes = maxClassTimes;
        return this;
    }

    public Integer getMonth() {
        return month;
    }

    public VipGroupDefaultClassesCycle setMonth(Integer month) {
        this.month = month;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public VipGroupDefaultClassesCycle setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public VipGroupDefaultClassesCycle setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Integer getOrganId() {
        return organId;
    }

    public VipGroupDefaultClassesCycle setOrganId(Integer organId) {
        this.organId = organId;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "VipGroupDefaultClassesCycle{" +
        ", id=" + id +
        ", minClassTimes=" + minClassTimes +
        ", maxClassTimes=" + maxClassTimes +
        ", month=" + month +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", organId=" + organId +
        "}";
    }
}
